﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Diagram;

namespace SymbolItemsInListBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<SymbolPaletteItem> list = new List<SymbolPaletteItem>();

            foreach (SymbolPaletteGroup group in new SymbolPalette().SymbolGroups)
            {
                foreach (SymbolPaletteItem item in group.Items)
                {
                    item.Width = 25;
                    item.Height = 25;
                    list.Add(item);

                }
            }
            lstBox.DataContext = list;
        }

    }
}
